# GeneratedKeys

Class for gathering and processing of generated keys.

Methods
void | add(Column column) Remembers columns with generated keys.
void | add(Column column) Remembers columns with generated keys. Parameters: column - table column
void | clear(Object generatedKeysRequest) Clears all information from previous runs and sets a new request for gathering of generated keys.

void

clear(Object generatedKeysRequest)
Clears all information from previous runs and sets a new request for gathering of generated keys.
Parameters:
generatedKeysRequest - {@code false} if generated keys are not needed, {@code true} if generated keys should be configured automatically, {@code int[]} to specify column indices to return generated keys from, or {@code String[]} to specify column names to return generated keys from

void | confirmRow(Row tableRow) Saves row with generated keys if any.
void | confirmRow(Row tableRow) Saves row with generated keys if any. Parameters: tableRow - table row that was inserted
LocalResult | getKeys(Session session) Returns generated keys.
LocalResult | getKeys(Session session) Returns generated keys. Parameters: session - session Returns: local result with generated keys
void | initialize(Table table) Initializes processing of the specified table.
void | initialize(Table table) Initializes processing of the specified table. Should be called after {@code clear()}, but before other methods. Parameters: table - table
void | nextRow() Clears unsaved information about previous row, if any.
void | nextRow() Clears unsaved information about previous row, if any. Should be called before processing of a new row if previous row was not confirmed or simply always before each row.
String | toString()
String | toString()